##
# This carousel repository delegates all behavior to ActiveRecord
class ActiveRecord::CarouselRepository

  def save(carousel)
    carousel.save
  end

  def save!(carousel)
    carousel.save!
  end

  def method_missing(method_name, *arguments, &block)
    Carousel.send(method_name, *arguments, &block)
  end

  def respond_to?(method_name, include_private = false)
    Carousel.respond_to?(method_name) || super
  end

end
