class OrientDb::Associations::SubjectsAssociation < OrientDb::Association

  def can_create?
    !@object.subjects.empty?
  end

  protected

  def execute
    create_edges_from_array("IsAbout", @object.id, @object.subjects, true)
  end

end

